Edit

Workspaces - List Workspaces

Returns a list of workspaces the principal can access. Use the roles query parameter to filter results by the principal workspace role.
This API supports pagination.

Required Delegated Scopes

Workspace.Read.All or Workspace.ReadWrite.All

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

GET https://api.fabric.microsoft.com/v1/workspaces
GET https://api.fabric.microsoft.com/v1/workspaces?roles={roles}&continuationToken={continuationToken}&preferWorkspaceSpecificEndpoints={preferWorkspaceSpecificEndpoints}

URI Parameters

Name In Required Type Description
continuationToken
query

string

A token for retrieving the next page of results.

preferWorkspaceSpecificEndpoints
query

boolean

A setting that controls whether to include the workspace-specific API endpoint per workspace. True - Include the workspace-specific API endpoint, False - Do not include the workspace-specific API endpoint.

roles
query

string

A list of roles. Separate values using a comma. If not provided, all workspaces are returned.

Responses

Name Type Description
200 OK

Workspaces

Request completed successfully.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • InvalidParameter - Invalid workspace role.

  • UnknownError - An error occurred.

Examples

List workspaces example
List workspaces with continuation example
List workspaces with preferWorkspaceSpecificEndpoints example
List workspaces with roles filter example

List workspaces example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces

Sample response

{
  "value": [
    {
      "id": "fa9ad228-3e6b-44d4-b5f4-e275f337afa9",
      "displayName": "My workspace",
      "description": "",
      "type": "Personal"
    },
    {
      "id": "cfafbeb1-8037-4d0c-896e-a46fb27ff227",
      "displayName": "Marketing",
      "description": "A  workspace used by the marketing team",
      "type": "Workspace",
      "tags": [
        {
          "id": "b3f2c8e9-4d8e-4a7c-9a32-f8c1b2e4d6af",
          "displayName": "Marketing"
        }
      ]
    },
    {
      "id": "f2d70dc6-8f3e-4f2c-b00e-e2d336d7d711",
      "displayName": "Finance",
      "description": "A workspace used by the finance team",
      "type": "Workspace",
      "capacityId": "171018af-1531-4e61-942a-74f024b7f9fd",
      "domainId": "7c889f28-999b-4945-840d-54da3e3b5a29",
      "capacityRegion": "East US",
      "tags": [
        {
          "id": "9b8c7d6e-5f4a-3b2c-1d0e-9f8a7b6c5d4e",
          "displayName": "Finance"
        },
        {
          "id": "b3f2c8e9-4d8e-4a7c-9a32-f8c1b2e4d6af",
          "displayName": "Marketing"
        }
      ]
    }
  ]
}

List workspaces with continuation example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces

Sample response

{
  "value": [
    {
      "id": "fa9ad228-3e6b-44d4-b5f4-e275f337afa9",
      "displayName": "My workspace",
      "description": "",
      "type": "Personal"
    },
    {
      "id": "cfafbeb1-8037-4d0c-896e-a46fb27ff227",
      "displayName": "Marketing",
      "description": "A  workspace used by the marketing team",
      "type": "Workspace"
    },
    {
      "id": "f2d70dc6-8f3e-4f2c-b00e-e2d336d7d711",
      "displayName": "Finance",
      "description": "A workspace used by the finance team",
      "type": "Workspace",
      "capacityId": "171018af-1531-4e61-942a-74f024b7f9fd",
      "capacityRegion": "East US"
    }
  ],
  "continuationToken": "LDEsMTAwMDAwLDA%3D",
  "continuationUri": "https://api.fabric.microsoft.com/v1/workspaces?continuationToken=LDEsMTAwMDAwLDA%3D"
}

List workspaces with preferWorkspaceSpecificEndpoints example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces?preferWorkspaceSpecificEndpoints=True

Sample response

{
  "value": [
    {
      "id": "cfafbeb1-8037-4d0c-896e-a46fb27ff227",
      "displayName": "Alice's Workspace",
      "description": "A workspace for Alice",
      "type": "Workspace",
      "apiEndpoint": "https://cfafbeb180374d0c896ea46fb27ff227.zcf.w.api.fabric.microsoft.com"
    },
    {
      "id": "0c02a0cd-71bc-410f-aa05-5a7bc98765f7",
      "displayName": "Bob's Workspace",
      "description": "A workspace for Bob",
      "type": "Workspace",
      "apiEndpoint": "https://0c02a0cd71bc410faa055a7bc98765f7.z0c.w.api.fabric.microsoft.com"
    }
  ]
}

List workspaces with roles filter example

Sample request

GET https://api.fabric.microsoft.com/v1/workspaces?roles=Admin,Member,Contributor,Viewer

Sample response

{
  "value": [
    {
      "id": "fa9ad228-3e6b-44d4-b5f4-e275f337afa9",
      "displayName": "Admins workspace",
      "description": "A workspace for admins",
      "type": "Personal"
    },
    {
      "id": "cfafbeb1-8037-4d0c-896e-a46fb27ff227",
      "displayName": "Members workspace",
      "description": "A workspace for members",
      "type": "Workspace"
    },
    {
      "id": "0c02a0cd-71bc-410f-aa05-5a7bc98765f7",
      "displayName": "Contributors workspace",
      "description": "A workspace for contributors",
      "type": "Workspace"
    },
    {
      "id": "99d58687-8903-4dbd-8a78-40f95dca7177",
      "displayName": "Viewers workspace",
      "description": "A workspace for viewers",
      "type": "Workspace"
    }
  ]
}

Definitions

Name Description
CapacityRegion

The region of the capacity associated with this workspace. Additional capacity region values may be added over time.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

Workspace

A workspace object.

WorkspaceAppliedTag

Represents an applied tag.

Workspaces
WorkspaceType

A workspace type. Additional workspace types may be added over time.

CapacityRegion

The region of the capacity associated with this workspace. Additional capacity region values may be added over time.

Value Description
Australia East

Australia East region

Australia Southeast

Australia Southeast region

Brazil South

Brazil South region

Brazil Southeast

Brazil Southeast region

Canada Central

Canada Central region

Canada East

Canada East region

Central India

Central India region

Central US

Central US region

Central US EUAP

Central US EUAP region

East Asia

East Asia region

East US

East US region

East US 2

East US 2 region

France Central

France Central region

France South

France South region

Germany Central

Germany Central region

Germany Northeast

Germany Northeast region

Israel Central

Israel Central region

Italy North

Italy North region

Japan East

Japan East region

Japan West

Japan West region

Korea Central

Korea Central region

Korea South

Korea South region

Mexico Central

Mexico Central region

North Central US

North Central US region

North Europe

North Europe region

Norway East

Norway East region

Norway West

Norway West region

Poland Central

Poland Central region

South Africa North

South Africa North region

South Africa West

South Africa West region

South Central US

South Central US region

South India

South India region

Southeast Asia

Southeast Asia region

Spain Central

Spain Central region

Sweden Central

Sweden Central region

Switzerland North

Switzerland North region

Switzerland West

Switzerland West region

West Europe

West Europe region

West India

West India region

West US

West US region

West US 2

West US 2 region

West US 3

West US 3 region

West Central US

West Central US region

UAE Central

UAE Central region

UAE North

UAE North region

Qatar Central

Qatar Central region

Germany West Central

Germany West Central region

Germany North

Germany North region

UK South

UK South region

UK West

UK West region

China North

China North region

China East

China East region

China East 2

China East 2 region

China East 3

China East 3 region

China North 2

China North 2 region

China North 3

China North 3 region

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

relatedResource

ErrorRelatedResource

The error related resource details.

Workspace

A workspace object.

Name Type Description
apiEndpoint

string (uri)

HTTP URL that represents the API endpoint specific to the workspace. This endpoint value is returned when the user enables preferWorkspaceSpecificEndpoints. It allows for API access over private links.

capacityId

string (uuid)

The ID of the capacity the workspace is assigned to.

capacityRegion

CapacityRegion

The region of the capacity associated with this workspace.

description

string

The workspace description.

displayName

string

The workspace display name.

domainId

string (uuid)

The ID of the domain the workspace is assigned to.

id

string (uuid)

The workspace ID.

tags

WorkspaceAppliedTag[]

List of applied tags.

type

WorkspaceType

The workspace type.

WorkspaceAppliedTag

Represents an applied tag.

Name Type Description
displayName

string

The name of the tag.

id

string (uuid)

The tag ID.

Workspaces

Name Type Description
continuationToken

string

The token for the next result set batch. If there are no more records, it's removed from the response.

continuationUri

string

The URI of the next result set batch. If there are no more records, it's removed from the response.

value

Workspace[]

A list of workspaces.

WorkspaceType

A workspace type. Additional workspace types may be added over time.

Value Description
Personal

My folder or My workspace used to manage user items.

Workspace

Workspace used to manage the Fabric items.

AdminWorkspace

Admin monitoring workspace. Contains admin reports such as the audit report and the usage and adoption report.